Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dptrfs

    java.lang.Object
      org.netlib.lapack.Dptrfs

    public class Dptrfs

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DPTRFS improves the computed solution to a system of linear
     *  equations when the coefficient matrix is symmetric positive definite

     *  and tridiagonal, and provides error bounds and backward error
     *  estimates for the solution.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  NRHS    (input) INTEGER
     *          The number of right hand sides, i.e., the number of columns
     *          of the matrix B.  NRHS >= 0.
     *
     *  D       (input) DOUBLE PRECISION array, dimension (N)
     *          The n diagonal elements of the tridiagonal matrix A.
     *
     *  E       (input) DOUBLE PRECISION array, dimension (N-1)
     *          The (n-1) subdiagonal elements of the tridiagonal matrix A.
     *
     *  DF      (input) DOUBLE PRECISION array, dimension (N)
     *          The n diagonal elements of the diagonal matrix D from the
     *          factorization computed by DPTTRF.
     *
     *  EF      (input) DOUBLE PRECISION array, dimension (N-1)
     *          The (n-1) subdiagonal elements of the unit bidiagonal factor

     *          L from the factorization computed by DPTTRF.
     *
     *  B       (input) DOUBLE PRECISION array, dimension (LDB,NRHS)
     *          The right hand side matrix B.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  X       (input/output) DOUBLE PRECISION array, dimension (LDX,NRHS)
     *          On entry, the solution matrix X, as computed by DPTTRS.
     *          On exit, the improved solution matrix X.
     *
     *  LDX     (input) INTEGER
     *          The leading dimension of the array X.  LDX >= max(1,N).
     *
     *  FERR    (output) DOUBLE PRECISION array, dimension (NRHS)
     *          The forward error bound for each solution vector
     *          X(j) (the j-th column of the solution matrix X).
     *          If XTRUE is the true solution corresponding to X(j), FERR(j)

     *          is an estimated upper bound for the magnitude of the largest

     *          element in (X(j) - XTRUE) divided by the magnitude of the
     *          largest element in X(j).
     *
     *  BERR    (output) DOUBLE PRECISION array, dimension (NRHS)
     *          The componentwise relative backward error of each solution
     *          vector X(j) (i.e., the smallest relative change in
     *          any element of A or B that makes X(j) an exact solution).
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (2*N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  Internal Parameters
     *  ===================
     *
     *  ITMAX is the maximum number of steps of iterative refinement.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dptrfs()`

Method Summary
`static void` | `dptrfs(int n, int nrhs, double[] d, int _d_offset, double[] e, int _e_offset, double[] df, int _df_offset, double[] ef, int _ef_offset, double[] b, int _b_offset, int ldb, double[] x, int _x_offset, int ldx, double[] ferr, int _ferr_offset, double[] berr, int _berr_offset, double[] work, int _work_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dptrfs

    public Dptrfs()

Method Detail

### dptrfs

    public static void dptrfs(int n,
                              int nrhs,
                              double[] d,
                              int _d_offset,
                              double[] e,
                              int _e_offset,
                              double[] df,
                              int _df_offset,
                              double[] ef,
                              int _ef_offset,
                              double[] b,
                              int _b_offset,
                              int ldb,
                              double[] x,
                              int _x_offset,
                              int ldx,
                              double[] ferr,
                              int _ferr_offset,
                              double[] berr,
                              int _berr_offset,
                              double[] work,
                              int _work_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD